﻿// <auto-generated />
using System;
using BeerOverFlowData;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

namespace BeerOverflow.Data.Migrations
{
    [DbContext(typeof(BeerOverFlowContext))]
    partial class BeerOverFlowContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "3.1.3")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("BeerOverflow.Data.Entities.Ban", b =>
                {
                    b.Property<int>("BanId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<bool>("Banned")
                        .HasColumnType("bit");

                    b.Property<DateTime>("BannedOn")
                        .HasColumnType("datetime2");

                    b.Property<string>("Description")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("BanId");

                    b.ToTable("Bans");

                    b.HasData(
                        new
                        {
                            BanId = 1,
                            Banned = false,
                            BannedOn = new DateTime(2020, 5, 7, 0, 20, 7, 217, DateTimeKind.Local).AddTicks(8448),
                            Description = "Default"
                        },
                        new
                        {
                            BanId = 2,
                            Banned = false,
                            BannedOn = new DateTime(2020, 5, 7, 0, 20, 7, 220, DateTimeKind.Local).AddTicks(1876),
                            Description = "Default"
                        },
                        new
                        {
                            BanId = 999,
                            Banned = false,
                            BannedOn = new DateTime(2020, 5, 7, 0, 20, 7, 220, DateTimeKind.Local).AddTicks(1931),
                            Description = "Default"
                        });
                });

            modelBuilder.Entity("BeerOverflow.Data.Entities.Beer", b =>
                {
                    b.Property<int>("BeerId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<double>("Abv")
                        .HasColumnType("float");

                    b.Property<string>("BeerName")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("BreweryId")
                        .HasColumnType("int");

                    b.Property<int>("CountryId")
                        .HasColumnType("int");

                    b.Property<string>("Image")
                        .HasColumnType("nvarchar(max)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("bit");

                    b.Property<int>("RatedTimes")
                        .HasColumnType("int");

                    b.Property<double>("Rating")
                        .HasColumnType("float");

                    b.Property<int>("StyleId")
                        .HasColumnType("int");

                    b.Property<int>("Sum")
                        .HasColumnType("int");

                    b.Property<int?>("UserId")
                        .HasColumnType("int");

                    b.HasKey("BeerId");

                    b.HasIndex("BreweryId");

                    b.HasIndex("CountryId");

                    b.HasIndex("StyleId");

                    b.HasIndex("UserId");

                    b.ToTable("Beers");

                    b.HasData(
                        new
                        {
                            BeerId = 1,
                            Abv = 5.5,
                            BeerName = "Ariana",
                            BreweryId = 1,
                            CountryId = 1,
                            Image = "https://p1.akcdn.net/full/570589092.bira-ariana-500ml.jpg",
                            IsDeleted = false,
                            RatedTimes = 0,
                            Rating = 5.0,
                            StyleId = 1,
                            Sum = 0
                        },
                        new
                        {
                            BeerId = 2,
                            Abv = 4.0,
                            BeerName = "Carlsberg",
                            BreweryId = 2,
                            CountryId = 2,
                            Image = "https://www.carlsberg.com/media/2399/cb_nd_stemmed_glass_with_33cl_pilsner_bottle_wet_combo_rgb_72dpi.jpg",
                            IsDeleted = false,
                            RatedTimes = 1,
                            Rating = 5.0,
                            StyleId = 2,
                            Sum = 0
                        },
                        new
                        {
                            BeerId = 3,
                            Abv = 5.2999999999999998,
                            BeerName = "Heineken",
                            BreweryId = 3,
                            CountryId = 3,
                            Image = "https://cdn.pixabay.com/photo/2020/04/18/04/24/beer-5057609_960_720.jpg",
                            IsDeleted = false,
                            RatedTimes = 1,
                            Rating = 5.0,
                            StyleId = 3,
                            Sum = 0
                        },
                        new
                        {
                            BeerId = 4,
                            Abv = 5.2999999999999998,
                            BeerName = "Stella Artois",
                            BreweryId = 4,
                            CountryId = 4,
                            Image = "https://tobood.bg/assets/products/large/pd_ab8117195266147249c980cd04934420_9a6ad59857e04bb2f0ada20d164be708.jpg",
                            IsDeleted = false,
                            RatedTimes = 1,
                            Rating = 5.0,
                            StyleId = 4,
                            Sum = 0
                        },
                        new
                        {
                            BeerId = 5,
                            Abv = 5.5,
                            BeerName = "Kentucky Brunch Brand Stout",
                            BreweryId = 1,
                            CountryId = 5,
                            Image = "https://coolmaterial.com/wp-content/uploads/2017/05/Toppling-Goliath-Kentucky-Brunch-Brand-Stout.jpg",
                            IsDeleted = false,
                            RatedTimes = 0,
                            Rating = 5.0,
                            StyleId = 5,
                            Sum = 0
                        },
                        new
                        {
                            BeerId = 6,
                            Abv = 4.0,
                            BeerName = "Marshmallow Handjee",
                            BreweryId = 2,
                            CountryId = 6,
                            Image = "https://i.imgur.com/zq9u2bN.jpg",
                            IsDeleted = false,
                            RatedTimes = 1,
                            Rating = 5.0,
                            StyleId = 6,
                            Sum = 0
                        },
                        new
                        {
                            BeerId = 7,
                            Abv = 5.2999999999999998,
                            BeerName = "Bourbon County Brand Vanilla Stout",
                            BreweryId = 3,
                            CountryId = 7,
                            Image = "https://cdn.shopify.com/s/files/1/0227/0581/products/Goose-Island-Bourbon-County-Brand-Stout-2019-500ML-BTL_grande.jpg",
                            IsDeleted = false,
                            RatedTimes = 1,
                            Rating = 5.0,
                            StyleId = 7,
                            Sum = 0
                        },
                        new
                        {
                            BeerId = 8,
                            Abv = 5.2999999999999998,
                            BeerName = "Zombie Dust",
                            BreweryId = 4,
                            CountryId = 8,
                            Image = "https://products2.imgix.drizly.com/ci-three-floyds-zombie-dust-4b8ac4a627956811.png?auto=format%2Ccompress&fm=jpg",
                            IsDeleted = false,
                            RatedTimes = 1,
                            Rating = 5.0,
                            StyleId = 8,
                            Sum = 0
                        },
                        new
                        {
                            BeerId = 9,
                            Abv = 5.5,
                            BeerName = "Lou Pepe - Kriek",
                            BreweryId = 1,
                            CountryId = 9,
                            Image = "https://cdn.webshopapp.com/shops/65337/files/56029926/800x600x2/wb-fles-cantillon-lou-pepe-pure-kriek.jpg",
                            IsDeleted = false,
                            RatedTimes = 0,
                            Rating = 5.0,
                            StyleId = 1,
                            Sum = 0
                        },
                        new
                        {
                            BeerId = 10,
                            Abv = 4.0,
                            BeerName = "Morning Wood",
                            BreweryId = 2,
                            CountryId = 10,
                            Image = "https://48tk9j3a74jb133e1k2fzz2s-wpengine.netdna-ssl.com/wp-content/uploads/2015/11/Funky-Buddha-Bourbon-Barrel-Aged-Morning-Wood-1.jpg",
                            IsDeleted = false,
                            RatedTimes = 1,
                            Rating = 5.0,
                            StyleId = 2,
                            Sum = 0
                        },
                        new
                        {
                            BeerId = 11,
                            Abv = 5.2999999999999998,
                            BeerName = "Duck Duck Gooze",
                            BreweryId = 3,
                            CountryId = 11,
                            Image = "https://48tk9j3a74jb133e1k2fzz2s-wpengine.netdna-ssl.com/wp-content/uploads/2014/10/The-Lost-Abbey-Duck-Duck-Gooze-2013-Bottle.jpg",
                            IsDeleted = false,
                            RatedTimes = 1,
                            Rating = 5.0,
                            StyleId = 3,
                            Sum = 0
                        },
                        new
                        {
                            BeerId = 12,
                            Abv = 5.2999999999999998,
                            BeerName = "Parabola",
                            BreweryId = 4,
                            CountryId = 12,
                            Image = "https://healthyspiritssf.com/wp-content/uploads/2015/04/parabola-img.png",
                            IsDeleted = false,
                            RatedTimes = 1,
                            Rating = 5.0,
                            StyleId = 4,
                            Sum = 0
                        },
                        new
                        {
                            BeerId = 13,
                            Abv = 5.5,
                            BeerName = "Double Sunshine",
                            BreweryId = 1,
                            CountryId = 13,
                            Image = "https://thefullpint.com/wp-content/uploads/Lawsons-Finest-Liquids-Double-Sunshine-IPA-scaled.jpg",
                            IsDeleted = false,
                            RatedTimes = 1,
                            Rating = 5.0,
                            StyleId = 5,
                            Sum = 0
                        },
                        new
                        {
                            BeerId = 14,
                            Abv = 4.0,
                            BeerName = "Julius",
                            BreweryId = 2,
                            CountryId = 14,
                            Image = "https://cdn.webshopapp.com/shops/19852/files/302874105/brouwerij-hoegaarden-julius-blond.jpg",
                            IsDeleted = false,
                            RatedTimes = 1,
                            Rating = 5.0,
                            StyleId = 6,
                            Sum = 0
                        },
                        new
                        {
                            BeerId = 15,
                            Abv = 5.2999999999999998,
                            BeerName = "Very Green",
                            BreweryId = 3,
                            CountryId = 15,
                            Image = "https://www.mybeercollectibles.com/uploads/cache/DxC3WBmXQAApXyj-500x500-crop.jpg",
                            IsDeleted = false,
                            RatedTimes = 1,
                            Rating = 5.0,
                            StyleId = 7,
                            Sum = 0
                        },
                        new
                        {
                            BeerId = 16,
                            Abv = 5.2999999999999998,
                            BeerName = "Assassin",
                            BreweryId = 4,
                            CountryId = 16,
                            Image = "https://res.cloudinary.com/ratebeer/image/upload/w_250,c_limit/beer_547307.jpg",
                            IsDeleted = false,
                            RatedTimes = 1,
                            Rating = 5.0,
                            StyleId = 8,
                            Sum = 0
                        },
                        new
                        {
                            BeerId = 17,
                            Abv = 5.5,
                            BeerName = "Fou' Foune",
                            BreweryId = 1,
                            CountryId = 17,
                            Image = "https://store.belgianshop.com/3543-large_default/cantillon-foufoune-5-34l-v.jpg",
                            IsDeleted = false,
                            RatedTimes = 1,
                            Rating = 5.0,
                            StyleId = 1,
                            Sum = 0
                        },
                        new
                        {
                            BeerId = 18,
                            Abv = 4.0,
                            BeerName = "Pliny The Elder",
                            BreweryId = 29,
                            CountryId = 18,
                            Image = "https://thefullpint.com/wp-content/uploads/Russian-River-Pliny-the-Elder.jpg",
                            IsDeleted = false,
                            RatedTimes = 1,
                            Rating = 5.0,
                            StyleId = 2,
                            Sum = 0
                        },
                        new
                        {
                            BeerId = 19,
                            Abv = 5.2999999999999998,
                            BeerName = "CBS (Canadian Breakfast Stout)",
                            BreweryId = 3,
                            CountryId = 19,
                            Image = "https://cdn.shopify.com/s/files/1/1351/8119/products/Founders-CBS-2017-355ml_IMG_6958_1024x1024.jpg",
                            IsDeleted = false,
                            RatedTimes = 1,
                            Rating = 5.0,
                            StyleId = 3,
                            Sum = 0
                        },
                        new
                        {
                            BeerId = 20,
                            Abv = 5.2999999999999998,
                            BeerName = "Fundamental Observation",
                            BreweryId = 8,
                            CountryId = 20,
                            Image = "https://joshbeerme.files.wordpress.com/2015/07/imag0657_1.jpg",
                            IsDeleted = false,
                            RatedTimes = 1,
                            Rating = 5.0,
                            StyleId = 4,
                            Sum = 0
                        },
                        new
                        {
                            BeerId = 21,
                            Abv = 5.5,
                            BeerName = "SR-71",
                            BreweryId = 7,
                            CountryId = 21,
                            Image = "https://www.tgbrews.com/wp-content/uploads/2017/04/0.SR71.REFORMAT.1-480x720.jpg",
                            IsDeleted = false,
                            RatedTimes = 1,
                            Rating = 5.0,
                            StyleId = 5,
                            Sum = 0
                        },
                        new
                        {
                            BeerId = 22,
                            Abv = 4.0,
                            BeerName = "Very Hazy",
                            BreweryId = 6,
                            CountryId = 22,
                            Image = "https://i.redd.it/vcw2vl1j2vj11.jpg",
                            IsDeleted = false,
                            RatedTimes = 1,
                            Rating = 5.0,
                            StyleId = 6,
                            Sum = 0
                        },
                        new
                        {
                            BeerId = 23,
                            Abv = 5.2999999999999998,
                            BeerName = "King Julius",
                            BreweryId = 5,
                            CountryId = 23,
                            Image = "https://www.thebeersbeer.com/wp-content/uploads/2019/06/beer-king-julius-style-ipa.jpg",
                            IsDeleted = false,
                            RatedTimes = 1,
                            Rating = 5.0,
                            StyleId = 7,
                            Sum = 0
                        },
                        new
                        {
                            BeerId = 24,
                            Abv = 5.2999999999999998,
                            BeerName = "Pliny The Younger",
                            BreweryId = 4,
                            CountryId = 24,
                            Image = "https://s.hdnux.com/photos/01/07/56/07/18801124/5/920x920.jpg",
                            IsDeleted = false,
                            RatedTimes = 1,
                            Rating = 5.0,
                            StyleId = 8,
                            Sum = 0
                        },
                        new
                        {
                            BeerId = 25,
                            Abv = 5.5,
                            BeerName = "Mornin' Delight",
                            BreweryId = 4,
                            CountryId = 25,
                            Image = "https://i.pinimg.com/originals/5a/47/4d/5a474dfa0f673a1ff237a3c30d3872d1.jpg",
                            IsDeleted = false,
                            RatedTimes = 1,
                            Rating = 5.0,
                            StyleId = 1,
                            Sum = 0
                        },
                        new
                        {
                            BeerId = 26,
                            Abv = 4.0,
                            BeerName = "Heady Topper",
                            BreweryId = 3,
                            CountryId = 26,
                            Image = "https://i1.wp.com/www.delmesaliquor.com/wp-content/uploads/2018/12/The-Alchemist-Heady-Topper-American-DIPA.jpg",
                            IsDeleted = false,
                            RatedTimes = 1,
                            Rating = 5.0,
                            StyleId = 2,
                            Sum = 0
                        },
                        new
                        {
                            BeerId = 27,
                            Abv = 5.2999999999999998,
                            BeerName = "Barrel-Aged Abraxas",
                            BreweryId = 2,
                            CountryId = 27,
                            Image = "https://i.pinimg.com/originals/33/f9/03/33f903416491175c99f110b9c8b25cfc.jpg",
                            IsDeleted = false,
                            RatedTimes = 1,
                            Rating = 5.0,
                            StyleId = 3,
                            Sum = 0
                        },
                        new
                        {
                            BeerId = 28,
                            Abv = 5.2999999999999998,
                            BeerName = "Hunahpu's Imperial Stout - Double Barrel Aged",
                            BreweryId = 1,
                            CountryId = 28,
                            Image = "https://48tk9j3a74jb133e1k2fzz2s-wpengine.netdna-ssl.com/wp-content/uploads/2015/01/Cigar-City-Hunahpu%E2%80%99s-Imperial-Stout.jpg",
                            IsDeleted = false,
                            RatedTimes = 1,
                            Rating = 5.0,
                            StyleId = 4,
                            Sum = 0
                        });
                });

            modelBuilder.Entity("BeerOverflow.Data.Entities.Brewery", b =>
                {
                    b.Property<int>("BreweryId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("BreweryName")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("CountryId")
                        .HasColumnType("int");

                    b.Property<string>("Description")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Image")
                        .HasColumnType("nvarchar(max)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("bit");

                    b.HasKey("BreweryId");

                    b.HasIndex("CountryId");

                    b.ToTable("Breweries");

                    b.HasData(
                        new
                        {
                            BreweryId = 1,
                            BreweryName = "Sofiisko Pivo",
                            CountryId = 1,
                            IsDeleted = false
                        },
                        new
                        {
                            BreweryId = 2,
                            BreweryName = "Carlsberg Group",
                            CountryId = 2,
                            IsDeleted = false
                        },
                        new
                        {
                            BreweryId = 3,
                            BreweryName = "Heineken",
                            CountryId = 3,
                            IsDeleted = false
                        },
                        new
                        {
                            BreweryId = 4,
                            BreweryName = "Stella Artois",
                            CountryId = 4,
                            IsDeleted = false
                        },
                        new
                        {
                            BreweryId = 5,
                            BreweryName = "Ritual Brew Co.",
                            CountryId = 1,
                            IsDeleted = false
                        },
                        new
                        {
                            BreweryId = 6,
                            BreweryName = "Rebel Days Brew Co.",
                            CountryId = 3,
                            IsDeleted = false
                        },
                        new
                        {
                            BreweryId = 7,
                            BreweryName = "Sanctity",
                            CountryId = 5,
                            IsDeleted = false
                        },
                        new
                        {
                            BreweryId = 8,
                            BreweryName = "White Rabbit",
                            CountryId = 6,
                            IsDeleted = false
                        },
                        new
                        {
                            BreweryId = 9,
                            BreweryName = "Lone Rider",
                            CountryId = 7,
                            IsDeleted = false
                        },
                        new
                        {
                            BreweryId = 10,
                            BreweryName = "9 Lives",
                            CountryId = 8,
                            IsDeleted = false
                        },
                        new
                        {
                            BreweryId = 11,
                            BreweryName = "Acid Rest",
                            CountryId = 9,
                            IsDeleted = false
                        },
                        new
                        {
                            BreweryId = 12,
                            BreweryName = "Chill Haze",
                            CountryId = 10,
                            IsDeleted = false
                        },
                        new
                        {
                            BreweryId = 13,
                            BreweryName = "Mouthfeel",
                            CountryId = 11,
                            IsDeleted = false
                        },
                        new
                        {
                            BreweryId = 14,
                            BreweryName = "Yeast Cake",
                            CountryId = 12,
                            IsDeleted = false
                        },
                        new
                        {
                            BreweryId = 15,
                            BreweryName = "Dank Brew House",
                            CountryId = 13,
                            IsDeleted = false
                        },
                        new
                        {
                            BreweryId = 16,
                            BreweryName = "Barley and Basil Brewery",
                            CountryId = 14,
                            IsDeleted = false
                        },
                        new
                        {
                            BreweryId = 17,
                            BreweryName = "Apprentice Brewing",
                            CountryId = 15,
                            IsDeleted = false
                        },
                        new
                        {
                            BreweryId = 18,
                            BreweryName = "El Diablo Brewing",
                            CountryId = 16,
                            IsDeleted = false
                        },
                        new
                        {
                            BreweryId = 19,
                            BreweryName = "Candle Wick",
                            CountryId = 17,
                            IsDeleted = false
                        },
                        new
                        {
                            BreweryId = 20,
                            BreweryName = "The Mistress",
                            CountryId = 18,
                            IsDeleted = false
                        },
                        new
                        {
                            BreweryId = 21,
                            BreweryName = "Space Age",
                            CountryId = 19,
                            IsDeleted = false
                        },
                        new
                        {
                            BreweryId = 22,
                            BreweryName = "Alpha Beta",
                            CountryId = 20,
                            IsDeleted = false
                        },
                        new
                        {
                            BreweryId = 23,
                            BreweryName = "Heineken",
                            CountryId = 21,
                            IsDeleted = false
                        },
                        new
                        {
                            BreweryId = 24,
                            BreweryName = "Cold Break",
                            CountryId = 22,
                            IsDeleted = false
                        },
                        new
                        {
                            BreweryId = 25,
                            BreweryName = "Turbid Days",
                            CountryId = 23,
                            IsDeleted = false
                        },
                        new
                        {
                            BreweryId = 26,
                            BreweryName = "Slow Coast Brewing",
                            CountryId = 25,
                            IsDeleted = false
                        },
                        new
                        {
                            BreweryId = 27,
                            BreweryName = "Brier Brewing",
                            CountryId = 26,
                            IsDeleted = false
                        },
                        new
                        {
                            BreweryId = 28,
                            BreweryName = "Alpha Waves",
                            CountryId = 24,
                            IsDeleted = false
                        },
                        new
                        {
                            BreweryId = 29,
                            BreweryName = "Nitrogen Brew Co.",
                            CountryId = 25,
                            IsDeleted = false
                        },
                        new
                        {
                            BreweryId = 30,
                            BreweryName = "Disaster Brewing",
                            CountryId = 26,
                            IsDeleted = false
                        },
                        new
                        {
                            BreweryId = 31,
                            BreweryName = "Apothecary Brewing",
                            CountryId = 27,
                            IsDeleted = false
                        },
                        new
                        {
                            BreweryId = 32,
                            BreweryName = "Gone Rogue",
                            CountryId = 28,
                            IsDeleted = false
                        },
                        new
                        {
                            BreweryId = 33,
                            BreweryName = "Narwhal Brewing Co",
                            CountryId = 29,
                            IsDeleted = false
                        },
                        new
                        {
                            BreweryId = 34,
                            BreweryName = "Spyglass",
                            CountryId = 30,
                            IsDeleted = false
                        },
                        new
                        {
                            BreweryId = 35,
                            BreweryName = "Bomber Bottles",
                            CountryId = 31,
                            IsDeleted = false
                        },
                        new
                        {
                            BreweryId = 36,
                            BreweryName = "Final Gravity",
                            CountryId = 32,
                            IsDeleted = false
                        });
                });

            modelBuilder.Entity("BeerOverflow.Data.Entities.Country", b =>
                {
                    b.Property<int>("CountryId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("CountryName")
                        .HasColumnType("nvarchar(20)")
                        .HasMaxLength(20);

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("bit");

                    b.HasKey("CountryId");

                    b.ToTable("Countries");

                    b.HasData(
                        new
                        {
                            CountryId = 1,
                            CountryName = "Austria",
                            IsDeleted = false
                        },
                        new
                        {
                            CountryId = 2,
                            CountryName = "Azerbaijan",
                            IsDeleted = false
                        },
                        new
                        {
                            CountryId = 3,
                            CountryName = "Armenia",
                            IsDeleted = false
                        },
                        new
                        {
                            CountryId = 4,
                            CountryName = "Antigua and Barbuda",
                            IsDeleted = false
                        },
                        new
                        {
                            CountryId = 5,
                            CountryName = "Afghanistan",
                            IsDeleted = false
                        },
                        new
                        {
                            CountryId = 6,
                            CountryName = "Albania",
                            IsDeleted = false
                        },
                        new
                        {
                            CountryId = 7,
                            CountryName = "Andorra",
                            IsDeleted = false
                        },
                        new
                        {
                            CountryId = 8,
                            CountryName = "Argentina",
                            IsDeleted = false
                        },
                        new
                        {
                            CountryId = 9,
                            CountryName = "Bangladesh",
                            IsDeleted = false
                        },
                        new
                        {
                            CountryId = 10,
                            CountryName = "Bahamas",
                            IsDeleted = false
                        },
                        new
                        {
                            CountryId = 11,
                            CountryName = "Belize",
                            IsDeleted = false
                        },
                        new
                        {
                            CountryId = 12,
                            CountryName = "Belgium",
                            IsDeleted = false
                        },
                        new
                        {
                            CountryId = 13,
                            CountryName = "Bulgaria",
                            IsDeleted = false
                        },
                        new
                        {
                            CountryId = 14,
                            CountryName = "Burundi",
                            IsDeleted = false
                        },
                        new
                        {
                            CountryId = 15,
                            CountryName = "Cameroon",
                            IsDeleted = false
                        },
                        new
                        {
                            CountryId = 16,
                            CountryName = "Chile",
                            IsDeleted = false
                        },
                        new
                        {
                            CountryId = 17,
                            CountryName = "Croatia",
                            IsDeleted = false
                        },
                        new
                        {
                            CountryId = 18,
                            CountryName = "Djibouti",
                            IsDeleted = false
                        },
                        new
                        {
                            CountryId = 19,
                            CountryName = "Egypt",
                            IsDeleted = false
                        },
                        new
                        {
                            CountryId = 20,
                            CountryName = "Ethiopia",
                            IsDeleted = false
                        },
                        new
                        {
                            CountryId = 21,
                            CountryName = "France",
                            IsDeleted = false
                        },
                        new
                        {
                            CountryId = 22,
                            CountryName = "Gabon",
                            IsDeleted = false
                        },
                        new
                        {
                            CountryId = 23,
                            CountryName = "Iraq",
                            IsDeleted = false
                        },
                        new
                        {
                            CountryId = 24,
                            CountryName = "Maldives",
                            IsDeleted = false
                        },
                        new
                        {
                            CountryId = 25,
                            CountryName = "Netherlands",
                            IsDeleted = false
                        },
                        new
                        {
                            CountryId = 26,
                            CountryName = "Niger",
                            IsDeleted = false
                        },
                        new
                        {
                            CountryId = 27,
                            CountryName = "Belgium",
                            IsDeleted = false
                        },
                        new
                        {
                            CountryId = 28,
                            CountryName = "Canada",
                            IsDeleted = false
                        },
                        new
                        {
                            CountryId = 29,
                            CountryName = "Philippines",
                            IsDeleted = false
                        },
                        new
                        {
                            CountryId = 30,
                            CountryName = "Poland",
                            IsDeleted = false
                        },
                        new
                        {
                            CountryId = 31,
                            CountryName = "Senegal",
                            IsDeleted = false
                        },
                        new
                        {
                            CountryId = 32,
                            CountryName = "Seychelles",
                            IsDeleted = false
                        },
                        new
                        {
                            CountryId = 33,
                            CountryName = "Slovenia",
                            IsDeleted = false
                        },
                        new
                        {
                            CountryId = 34,
                            CountryName = "Somalia",
                            IsDeleted = false
                        });
                });

            modelBuilder.Entity("BeerOverflow.Data.Entities.Lists.Drank", b =>
                {
                    b.Property<int>("DrankId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("BeerId")
                        .HasColumnType("int");

                    b.Property<int>("UserId")
                        .HasColumnType("int");

                    b.HasKey("DrankId");

                    b.HasIndex("BeerId");

                    b.HasIndex("UserId");

                    b.ToTable("DrankLists");
                });

            modelBuilder.Entity("BeerOverflow.Data.Entities.Lists.Review", b =>
                {
                    b.Property<int>("ReviewId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("BeerId")
                        .HasColumnType("int");

                    b.Property<DateTime>("CreatedOn")
                        .HasColumnType("datetime2");

                    b.Property<bool>("Flagged")
                        .HasColumnType("bit");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("bit");

                    b.Property<int>("NegativeVotes")
                        .HasColumnType("int");

                    b.Property<int>("PositiveVotes")
                        .HasColumnType("int");

                    b.Property<string>("Text")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("UserId")
                        .HasColumnType("int");

                    b.HasKey("ReviewId");

                    b.HasIndex("BeerId");

                    b.HasIndex("UserId");

                    b.ToTable("Reviews");
                });

            modelBuilder.Entity("BeerOverflow.Data.Entities.Lists.UserModification", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Message")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTime>("Time")
                        .HasColumnType("datetime2");

                    b.Property<int>("UserId")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.HasIndex("UserId");

                    b.ToTable("UserModifications");
                });

            modelBuilder.Entity("BeerOverflow.Data.Entities.Lists.Wish", b =>
                {
                    b.Property<int>("WishListId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("BeerId")
                        .HasColumnType("int");

                    b.Property<int>("UserId")
                        .HasColumnType("int");

                    b.HasKey("WishListId");

                    b.HasIndex("BeerId");

                    b.HasIndex("UserId");

                    b.ToTable("WishLists");
                });

            modelBuilder.Entity("BeerOverflow.Data.Entities.Role", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ConcurrencyStamp")
                        .IsConcurrencyToken()
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Name")
                        .HasColumnType("nvarchar(256)")
                        .HasMaxLength(256);

                    b.Property<string>("NormalizedName")
                        .HasColumnType("nvarchar(256)")
                        .HasMaxLength(256);

                    b.HasKey("Id");

                    b.HasIndex("NormalizedName")
                        .IsUnique()
                        .HasName("RoleNameIndex")
                        .HasFilter("[NormalizedName] IS NOT NULL");

                    b.ToTable("AspNetRoles");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            ConcurrencyStamp = "116051af-5690-4860-906e-1f6a814de145",
                            Name = "Admin",
                            NormalizedName = "ADMIN"
                        },
                        new
                        {
                            Id = 2,
                            ConcurrencyStamp = "3adac2af-9736-4073-94d8-2a00e2f713b6",
                            Name = "Member",
                            NormalizedName = "MEMBER"
                        });
                });

            modelBuilder.Entity("BeerOverflow.Data.Entities.Style", b =>
                {
                    b.Property<int>("StyleId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("StyleName")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("StyleId");

                    b.ToTable("Styles");

                    b.HasData(
                        new
                        {
                            StyleId = 1,
                            StyleName = "Amber ale"
                        },
                        new
                        {
                            StyleId = 2,
                            StyleName = "Barley wine"
                        },
                        new
                        {
                            StyleId = 3,
                            StyleName = "Bitter"
                        },
                        new
                        {
                            StyleId = 4,
                            StyleName = "Blonde Ale"
                        },
                        new
                        {
                            StyleId = 5,
                            StyleName = "Light ale"
                        },
                        new
                        {
                            StyleId = 6,
                            StyleName = "Old ale"
                        },
                        new
                        {
                            StyleId = 7,
                            StyleName = "Light"
                        },
                        new
                        {
                            StyleId = 8,
                            StyleName = "Dark"
                        });
                });

            modelBuilder.Entity("BeerOverflow.Data.Entities.User", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("AccessFailedCount")
                        .HasColumnType("int");

                    b.Property<int?>("BanId")
                        .HasColumnType("int");

                    b.Property<string>("ConcurrencyStamp")
                        .IsConcurrencyToken()
                        .HasColumnType("nvarchar(max)");

                    b.Property<int?>("CountryId")
                        .HasColumnType("int");

                    b.Property<DateTime>("CreatedOn")
                        .HasColumnType("datetime2");

                    b.Property<string>("Description")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Email")
                        .HasColumnType("nvarchar(256)")
                        .HasMaxLength(256);

                    b.Property<bool>("EmailConfirmed")
                        .HasColumnType("bit");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("bit");

                    b.Property<DateTime>("LastAccessedOn")
                        .HasColumnType("datetime2");

                    b.Property<bool>("LockoutEnabled")
                        .HasColumnType("bit");

                    b.Property<DateTimeOffset?>("LockoutEnd")
                        .HasColumnType("datetimeoffset");

                    b.Property<string>("NormalizedEmail")
                        .HasColumnType("nvarchar(256)")
                        .HasMaxLength(256);

                    b.Property<string>("NormalizedUserName")
                        .HasColumnType("nvarchar(256)")
                        .HasMaxLength(256);

                    b.Property<string>("PasswordHash")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("PhoneNumber")
                        .HasColumnType("nvarchar(max)");

                    b.Property<bool>("PhoneNumberConfirmed")
                        .HasColumnType("bit");

                    b.Property<string>("SecurityStamp")
                        .HasColumnType("nvarchar(max)");

                    b.Property<bool>("TwoFactorEnabled")
                        .HasColumnType("bit");

                    b.Property<string>("UserName")
                        .HasColumnType("nvarchar(256)")
                        .HasMaxLength(256);

                    b.HasKey("Id");

                    b.HasIndex("BanId");

                    b.HasIndex("CountryId");

                    b.HasIndex("NormalizedEmail")
                        .HasName("EmailIndex");

                    b.HasIndex("NormalizedUserName")
                        .IsUnique()
                        .HasName("UserNameIndex")
                        .HasFilter("[NormalizedUserName] IS NOT NULL");

                    b.ToTable("AspNetUsers");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            AccessFailedCount = 0,
                            BanId = 1,
                            ConcurrencyStamp = "5d6c0e1a-efb7-4af7-bdef-270c4698cca2",
                            CountryId = 1,
                            CreatedOn = new DateTime(2020, 5, 7, 0, 20, 7, 221, DateTimeKind.Local).AddTicks(5764),
                            Description = "C# developer",
                            Email = "bona@gmail.com",
                            EmailConfirmed = false,
                            IsDeleted = false,
                            LastAccessedOn = new DateTime(2020, 5, 7, 0, 20, 7, 220, DateTimeKind.Local).AddTicks(9873),
                            LockoutEnabled = false,
                            NormalizedEmail = "BONA@GMAIL.COM",
                            NormalizedUserName = "BONA",
                            PasswordHash = "AQAAAAEAACcQAAAAEG4CtNWdnN3FD3vMOkvWFNSLGHRoMk2L9AGuwzxUY2bRQqAWv1ZdHTnSnE2ZGX6ukQ==",
                            PhoneNumberConfirmed = false,
                            SecurityStamp = "DC6E275DD221E24957A7781D42BB68293B",
                            TwoFactorEnabled = false,
                            UserName = "bona"
                        },
                        new
                        {
                            Id = 2,
                            AccessFailedCount = 0,
                            BanId = 2,
                            ConcurrencyStamp = "0429e62b-d45f-4e32-aceb-366f6c3031ec",
                            CountryId = 2,
                            CreatedOn = new DateTime(2020, 5, 7, 0, 20, 7, 221, DateTimeKind.Local).AddTicks(6279),
                            Description = "Studying in Telerik",
                            Email = "yoja@gmail.com",
                            EmailConfirmed = false,
                            IsDeleted = false,
                            LastAccessedOn = new DateTime(2020, 5, 7, 0, 20, 7, 221, DateTimeKind.Local).AddTicks(6199),
                            LockoutEnabled = false,
                            NormalizedEmail = "YOJA@GMAIL.COM",
                            NormalizedUserName = "YOJA",
                            PasswordHash = "AQAAAAEAACcQAAAAEFXRZshG2tgGjBKIHavlsOJ5p8yO/lHyoa69ggnv2wYV8mL2vBY2ucXithxyMt2o5w==",
                            PhoneNumberConfirmed = false,
                            SecurityStamp = "DC6E275DD1E2495347A7781D42BB68293B",
                            TwoFactorEnabled = false,
                            UserName = "yoja"
                        },
                        new
                        {
                            Id = 999,
                            AccessFailedCount = 0,
                            BanId = 999,
                            ConcurrencyStamp = "0d4bae30-fba1-47bf-9b70-100e3619371a",
                            CreatedOn = new DateTime(2020, 5, 7, 6, 20, 7, 239, DateTimeKind.Utc).AddTicks(9692),
                            Email = "admin@bo.com",
                            EmailConfirmed = false,
                            IsDeleted = false,
                            LastAccessedOn = new DateTime(2020, 5, 7, 0, 20, 7, 239, DateTimeKind.Local).AddTicks(9674),
                            LockoutEnabled = true,
                            NormalizedEmail = "ADMIN@BO.COM",
                            NormalizedUserName = "ADMIN1",
                            PasswordHash = "AQAAAAEAACcQAAAAEOFC9tpLV9sYUt7vohv6FzWQeLEKq4oAngSDFX5FXsWazTESD47LrMb8M1QfrPb7XA==",
                            PhoneNumberConfirmed = false,
                            SecurityStamp = "DC6E275DD1E24957A7781D42BB68293B",
                            TwoFactorEnabled = false,
                            UserName = "admin1"
                        });
                });

            modelBuilder.Entity("BeerOverflow.Data.Entities.Vote", b =>
                {
                    b.Property<int>("VoteId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("ReviewId")
                        .HasColumnType("int");

                    b.Property<bool>("ThumbsUp")
                        .HasColumnType("bit");

                    b.Property<int>("UserId")
                        .HasColumnType("int");

                    b.HasKey("VoteId");

                    b.HasIndex("ReviewId");

                    b.HasIndex("UserId");

                    b.ToTable("Votes");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityRoleClaim<int>", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ClaimType")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("ClaimValue")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("RoleId")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.HasIndex("RoleId");

                    b.ToTable("AspNetRoleClaims");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserClaim<int>", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ClaimType")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("ClaimValue")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("UserId")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.HasIndex("UserId");

                    b.ToTable("AspNetUserClaims");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserLogin<int>", b =>
                {
                    b.Property<string>("LoginProvider")
                        .HasColumnType("nvarchar(128)")
                        .HasMaxLength(128);

                    b.Property<string>("ProviderKey")
                        .HasColumnType("nvarchar(128)")
                        .HasMaxLength(128);

                    b.Property<string>("ProviderDisplayName")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("UserId")
                        .HasColumnType("int");

                    b.HasKey("LoginProvider", "ProviderKey");

                    b.HasIndex("UserId");

                    b.ToTable("AspNetUserLogins");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserRole<int>", b =>
                {
                    b.Property<int>("UserId")
                        .HasColumnType("int");

                    b.Property<int>("RoleId")
                        .HasColumnType("int");

                    b.HasKey("UserId", "RoleId");

                    b.HasIndex("RoleId");

                    b.ToTable("AspNetUserRoles");

                    b.HasData(
                        new
                        {
                            UserId = 999,
                            RoleId = 1
                        },
                        new
                        {
                            UserId = 2,
                            RoleId = 2
                        },
                        new
                        {
                            UserId = 1,
                            RoleId = 2
                        });
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserToken<int>", b =>
                {
                    b.Property<int>("UserId")
                        .HasColumnType("int");

                    b.Property<string>("LoginProvider")
                        .HasColumnType("nvarchar(128)")
                        .HasMaxLength(128);

                    b.Property<string>("Name")
                        .HasColumnType("nvarchar(128)")
                        .HasMaxLength(128);

                    b.Property<string>("Value")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("UserId", "LoginProvider", "Name");

                    b.ToTable("AspNetUserTokens");
                });

            modelBuilder.Entity("BeerOverflow.Data.Entities.Beer", b =>
                {
                    b.HasOne("BeerOverflow.Data.Entities.Brewery", "Brewery")
                        .WithMany("Beers")
                        .HasForeignKey("BreweryId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired();

                    b.HasOne("BeerOverflow.Data.Entities.Country", "Country")
                        .WithMany()
                        .HasForeignKey("CountryId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired();

                    b.HasOne("BeerOverflow.Data.Entities.Style", "Style")
                        .WithMany()
                        .HasForeignKey("StyleId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired();

                    b.HasOne("BeerOverflow.Data.Entities.User", null)
                        .WithMany("RatedBeers")
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("BeerOverflow.Data.Entities.Brewery", b =>
                {
                    b.HasOne("BeerOverflow.Data.Entities.Country", "Country")
                        .WithMany("Breweries")
                        .HasForeignKey("CountryId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired();
                });

            modelBuilder.Entity("BeerOverflow.Data.Entities.Lists.Drank", b =>
                {
                    b.HasOne("BeerOverflow.Data.Entities.Beer", "Beer")
                        .WithMany()
                        .HasForeignKey("BeerId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired();

                    b.HasOne("BeerOverflow.Data.Entities.User", "User")
                        .WithMany("DrankList")
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired();
                });

            modelBuilder.Entity("BeerOverflow.Data.Entities.Lists.Review", b =>
                {
                    b.HasOne("BeerOverflow.Data.Entities.Beer", "Beer")
                        .WithMany("Reviews")
                        .HasForeignKey("BeerId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired();

                    b.HasOne("BeerOverflow.Data.Entities.User", "User")
                        .WithMany("Reviews")
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired();
                });

            modelBuilder.Entity("BeerOverflow.Data.Entities.Lists.UserModification", b =>
                {
                    b.HasOne("BeerOverflow.Data.Entities.User", "User")
                        .WithMany("UserModifications")
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired();
                });

            modelBuilder.Entity("BeerOverflow.Data.Entities.Lists.Wish", b =>
                {
                    b.HasOne("BeerOverflow.Data.Entities.Beer", "Beer")
                        .WithMany()
                        .HasForeignKey("BeerId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired();

                    b.HasOne("BeerOverflow.Data.Entities.User", "User")
                        .WithMany("WishList")
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired();
                });

            modelBuilder.Entity("BeerOverflow.Data.Entities.User", b =>
                {
                    b.HasOne("BeerOverflow.Data.Entities.Ban", "Ban")
                        .WithMany()
                        .HasForeignKey("BanId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("BeerOverflow.Data.Entities.Country", "Country")
                        .WithMany()
                        .HasForeignKey("CountryId")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("BeerOverflow.Data.Entities.Vote", b =>
                {
                    b.HasOne("BeerOverflow.Data.Entities.Lists.Review", "Review")
                        .WithMany("Votes")
                        .HasForeignKey("ReviewId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired();

                    b.HasOne("BeerOverflow.Data.Entities.User", "User")
                        .WithMany("Votes")
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityRoleClaim<int>", b =>
                {
                    b.HasOne("BeerOverflow.Data.Entities.Role", null)
                        .WithMany()
                        .HasForeignKey("RoleId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserClaim<int>", b =>
                {
                    b.HasOne("BeerOverflow.Data.Entities.User", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserLogin<int>", b =>
                {
                    b.HasOne("BeerOverflow.Data.Entities.User", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserRole<int>", b =>
                {
                    b.HasOne("BeerOverflow.Data.Entities.Role", null)
                        .WithMany()
                        .HasForeignKey("RoleId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("BeerOverflow.Data.Entities.User", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserToken<int>", b =>
                {
                    b.HasOne("BeerOverflow.Data.Entities.User", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });
#pragma warning restore 612, 618
        }
    }
}
